[Pkg-mailman-hackers] Pkg-mailman commit - rev 51 - in trunk/debian: . patches

Laszlo Boszormenyi gcs-guest@haydn.debian.org
Thu, 08 Apr 2004 11:04:33 -0600


Author: gcs-guest
Date: 2004-04-08 11:04:23 -0600 (Thu, 08 Apr 2004)
New Revision: 51

Added:
   trunk/debian/patches/56_fix_de_broken_links.dpatch
   trunk/debian/patches/57_fix_missing_da_template.dpatch
Removed:
   trunk/debian/patches/56_fix_de_broken_links
Modified:
   trunk/debian/changelog
   trunk/debian/patches/00list
Log:
Add fix for an upstream bug, which does not install Danish templates
because of a mistake.


Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog	2004-04-06 21:54:07 UTC (rev 50)
+++ trunk/debian/changelog	2004-04-08 17:04:23 UTC (rev 51)
@@ -2,6 +2,7 @@
 
   * NOT YET RELEASED
   * Fix README.Debian concerning URLs (bsb, closes: #235835). 
+  * Add fix for missing installation of Danish templates (by GCS)
 
  -- Siggy Brentrup <bsb@debian.org>  Tue,  6 Apr 2004 23:52:06 +0200
 

Modified: trunk/debian/patches/00list
===================================================================
--- trunk/debian/patches/00list	2004-04-06 21:54:07 UTC (rev 50)
+++ trunk/debian/patches/00list	2004-04-08 17:04:23 UTC (rev 51)
@@ -19,4 +19,5 @@
 53_disable_addons
 55_options_traceback
 56_fix_de_broken_links
+57_fix_missing_da_template
 99_js_templates

Deleted: trunk/debian/patches/56_fix_de_broken_links
===================================================================
--- trunk/debian/patches/56_fix_de_broken_links	2004-04-06 21:54:07 UTC (rev 50)
+++ trunk/debian/patches/56_fix_de_broken_links	2004-04-08 17:04:23 UTC (rev 51)
@@ -1,54 +0,0 @@
-#! /bin/sh -e
-## 56_fix_de_broken_links, based on Ralf Doeblitz <r.doeblitz@asco.de>
-## fixes (see bug #233048)
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: update is called from the Debian maintainer scripts and prints
-## DP: non-appropriate output.  Change that.
-
-[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
-patch_opts="${patch_opts:--f --no-backup-if-mismatch ${2:+-d $2}}"
-
-if [ $# -lt 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-    -patch) patch $patch_opts -p1 < $0;;
-    -unpatch) patch $patch_opts -p1 -R < $0;;
-    *)
-        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-        exit 1;;
-esac
-
-exit 0
-@DPATCH@
---- mailman-2.1.4/messages/de/LC_MESSAGES/mailman.po.orig	2004-03-14 21:10:18.000000000 +0000
-+++ mailman-2.1.4/messages/de/LC_MESSAGES/mailman.po	2004-03-14 21:10:28.000000000 +0000
-@@ -5899,7 +5899,7 @@
- msgstr ""
- "Soll Mailman das Zustellungshandling für normale Mailinglisten "
- "personalisieren? Diese Option kann interessant für reine Ankündigunslisten "
--"sein, lesen sie aber auf alle Fälle die <ahref=\"?VARHELP=nondigest/"
-+"sein, lesen sie aber auf alle Fälle die <a href=\"?VARHELP=nondigest/"
- "personalize\"> Details zu Leistungsaspekten</a> durch, bevor Sie sich hieran "
- "die Finger verbrennen."
- 
-@@ -6846,7 +6846,7 @@
- "\">topics_bodylines_limit</a>\n"
- "             configuration variable."
- msgstr ""
--"Der Themenfilter kategorisiert jede eingehende e-Mailnachricht gemäss href="
-+"Der Themenfilter kategorisiert jede eingehende e-Mailnachricht gemäss <a href="
- "\"http://www.python.org/doc/current/lib/module-re.html\">Filterregeln mit "
- "regulären Ausdrücken</a>, die Sie weiter unten festlegen können. Wenn die "
- "<code>Subject:</code> oder <code>Keywords:</code> Header der Nachricht mit "
-@@ -6859,7 +6859,7 @@
- "nicht mit Sammelnachrichten.\n"
- " <p>Optional kann auch der Nachrichtentext auf Vorkommen von <code>Subject:</"
- "code> und <code>Keyword:</code> Header durchsucht werden. Spezifizieren Sie "
--"hierzu die Optionhref=\"?VARHELP=topics/topics_bodylines_limit"
-+"hierzu die Option <a href=\"?VARHELP=topics/topics_bodylines_limit"
- "\">topics_bodylines_limit</a>."
- 
- # Mailman/Gui/Topics.py:57

Copied: trunk/debian/patches/56_fix_de_broken_links.dpatch (from rev 50, trunk/debian/patches/56_fix_de_broken_links)

Added: trunk/debian/patches/57_fix_missing_da_template.dpatch
===================================================================
--- trunk/debian/patches/57_fix_missing_da_template.dpatch	2004-04-06 21:54:07 UTC (rev 50)
+++ trunk/debian/patches/57_fix_missing_da_template.dpatch	2004-04-08 17:04:23 UTC (rev 51)
@@ -0,0 +1,35 @@
+#! /bin/sh -e
+## 57_fix_missing_da_template.dpatch, by László 'GCS' Böszörményi <gcs@lsc.hu>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: update is called from the Debian maintainer scripts and prints
+## DP: non-appropriate output.  Change that.
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch ${2:+-d $2}}"
+
+if [ $# -lt 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch $patch_opts -p1 < $0;;
+    -unpatch) patch $patch_opts -p1 -R < $0;;
+    *)
+        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+        exit 1;;
+esac
+
+exit 0
+@DPATCH@
+--- mailman-2.1.4.orig/templates/Makefile.in	2003-12-13 16:32:44.000000000 +0000
++++ mailman-2.1.4/templates/Makefile.in	2004-04-08 16:51:25.000000000 +0000
+@@ -42,7 +42,7 @@
+ 
+ SHELL=		/bin/sh
+ 
+-LANGUAGES=	big5 ca cs de en es et eu fi fr gb hr hu it ja ko lt nl \
++LANGUAGES=	big5 ca cs da de en es et eu fi fr gb hr hu it ja ko lt nl \
+ 		no pl pt pt_BR ro ru sl sr sv uk
+ 
+ # Modes for directories and executables created by the install